Update merchant
Update the information of a merchant.
curl --request PATCH \
--url https://sandbox.hellgate.io/merchants/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"company_city": "Milford",
"country_code": "US",
"legal_name": "Example Store Inc.",
"website_url": "https://www.example-store.com",
"identity_and_verification_enabled": true,
"3ds_enabled": true,
"default_currency": "EUR",
"default_merchant_id": "5d6b2c9a-9b0b-4b0c-8c7d-9e9d5d7e9d5d",
"schemes": [
{
"acquirer_bin": "444444",
"category_code": "5411",
"requestor_id": "example-store-3ds",
"requestor_name": "Example Store",
"merchant_id": "EXAMPLE_STORE_EU",
"merchant_name": "Example Store"
}
]
}
'import requests
url = "https://sandbox.hellgate.io/merchants/{id}"
payload = {
"company_city": "Milford",
"country_code": "US",
"legal_name": "Example Store Inc.",
"website_url": "https://www.example-store.com",
"identity_and_verification_enabled": True,
"3ds_enabled": True,
"default_currency": "EUR",
"default_merchant_id": "5d6b2c9a-9b0b-4b0c-8c7d-9e9d5d7e9d5d",
"schemes": [
{
"acquirer_bin": "444444",
"category_code": "5411",
"requestor_id": "example-store-3ds",
"requestor_name": "Example Store",
"merchant_id": "EXAMPLE_STORE_EU",
"merchant_name": "Example Store"
}
]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_city: 'Milford',
country_code: 'US',
legal_name: 'Example Store Inc.',
website_url: 'https://www.example-store.com',
identity_and_verification_enabled: true,
'3ds_enabled': true,
default_currency: 'EUR',
default_merchant_id: '5d6b2c9a-9b0b-4b0c-8c7d-9e9d5d7e9d5d',
schemes: [
{
acquirer_bin: '444444',
category_code: '5411',
requestor_id: 'example-store-3ds',
requestor_name: 'Example Store',
merchant_id: 'EXAMPLE_STORE_EU',
merchant_name: 'Example Store'
}
]
})
};
fetch('https://sandbox.hellgate.io/merchants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9071cd4e-9627-421b-96cc-d48ffda5e894",
"created_at": "2023-10-10T00:00:00Z",
"company_city": "Berlin",
"country_code": "DE",
"encryption_key": "eyJhbGciO[redacted]",
"legal_name": "Example Merchant",
"website_url": "https://example.com",
"type": "submerchant",
"identity_and_verification_enabled": false,
"3ds_enabled": true,
"default_currency": "EUR",
"default_merchant_id": "1234567890",
"schemes": [
{
"name": "visa",
"acquirer_bin": "40001",
"requestor_id": "123456789.visa",
"requestor_name": "3dsclient.local.visa",
"category_code": "3200",
"merchant_id": "",
"merchant_name": ""
}
]
}{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}{
"code": 404,
"message": "The requested resource was not found.",
"classifier": "NOT_FOUND"
}Authorizations
Path Parameters
The ID of the merchant
Body
The city in the merchant's primary address.
"Milford"
A two letter country code. ISO 3166-1 alpha-2
"US"
The name of the merchant
"Example Store Inc."
The URL of the merchant's website
"https://www.example-store.com"
The flag indicates if the 3DS identity and verification is required or not (only allowed for primary)
true
Indicates if 3DS is available or not for the Merchant
true
The id for the Merchant
"5d6b2c9a-9b0b-4b0c-8c7d-9e9d5d7e9d5d"
The schemes supported by the merchant (required if merchant has a merchant_id)
Show child attributes
Show child attributes
Response
Success response
The ID of the merchant
"5d6b2c9a-9b0b-4b0c-8c7d-9e9d5d7e9d5d"
The date-time the merchant was created (following ISO 8601)
"2025-01-15T09:00:00Z"
The city in the merchant's primary address.
"Milford"
A two letter country code. ISO 3166-1 alpha-2
"US"
The masked version of the key used to encrypt authentication data (for instance network token and cryptogram). A full copy of this information is returned only once, when the merchant was initially created.
"eyJhbGciO[redacted]"
The name of the merchant
"Example Store Inc."
The URL of the merchant's website
"https://www.example-store.com"
The merchant type
primary, submerchant The flag indicates if the 3DS identity and verification is required or not (only allowed for primary)
true
Indicates if 3DS is available or not for the Merchant
true
The id for the Merchant
"EXAMPLE_STORE_EU"
The schemes supported by the merchant (required if merchant has a merchant_id)
Show child attributes
Show child attributes
